## GnomeCanvasEllipse

GnomeCanvasEllipse — Canvas item for drawing ellipses and circles

## Synopsis

    #include <libgnomecanvas/libgnomecanvas.h>

                        GnomeCanvasEllipse;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GnomeCanvasItem
                         +----GnomeCanvasShape
                               +----GnomeCanvasRE
                                     +----GnomeCanvasEllipse

## Description

A canvas item for drawing ellipses and circles. The parameters are defined in the parent classes including GnomeCanvasRE which is shared with GnomeCanvasRect items as well.

## Details

### GnomeCanvasEllipse

    typedef struct _GnomeCanvasEllipse GnomeCanvasEllipse;

This structure should not be accessed directly. Use the object's properties for querying or changing its parameters.